diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/wp-db.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/wp-db.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/wp-db.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/wp-db.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 88,94 ****
  	/**
  	 * Count of rows returned by previous query
  	 *
! 	 * @since 1.2.0
  	 * @access private
  	 * @var int
  	 */
--- 88,94 ----
  	/**
  	 * Count of rows returned by previous query
  	 *
! 	 * @since 0.71
  	 * @access private
  	 * @var int
  	 */
***************
*** 113,121 ****
  	var $insert_id = 0;
  
  	/**
! 	 * Saved result of the last query made
  	 *
! 	 * @since 1.2.0
  	 * @access private
  	 * @var array
  	 */
--- 113,121 ----
  	var $insert_id = 0;
  
  	/**
! 	 * Last query made
  	 *
! 	 * @since 0.71
  	 * @access private
  	 * @var array
  	 */
***************
*** 124,143 ****
  	/**
  	 * Results of the last query made
  	 *
! 	 * @since 1.0.0
  	 * @access private
  	 * @var array|null
  	 */
  	var $last_result;
  
  	/**
  	 * Saved info on the table column
  	 *
! 	 * @since 1.2.0
! 	 * @access private
  	 * @var array
  	 */
! 	var $col_info;
  
  	/**
  	 * Saved queries that were executed
--- 124,152 ----
  	/**
  	 * Results of the last query made
  	 *
! 	 * @since 0.71
  	 * @access private
  	 * @var array|null
  	 */
  	var $last_result;
  
  	/**
+ 	 * MySQL result, which is either a resource or boolean.
+ 	 *
+ 	 * @since 0.71
+ 	 * @access protected
+ 	 * @var mixed
+ 	 */
+ 	protected $result;
+ 
+ 	/**
  	 * Saved info on the table column
  	 *
! 	 * @since 0.71
! 	 * @access protected
  	 * @var array
  	 */
! 	protected $col_info;
  
  	/**
  	 * Saved queries that were executed
***************
*** 155,161 ****
  	 * in a single database. The second reason is for possible
  	 * security precautions.
  	 *
! 	 * @since 0.71
  	 * @access private
  	 * @var string
  	 */
--- 164,170 ----
  	 * in a single database. The second reason is for possible
  	 * security precautions.
  	 *
! 	 * @since 2.5.0
  	 * @access private
  	 * @var string
  	 */
***************
*** 164,170 ****
  	/**
  	 * Whether the database queries are ready to start executing.
  	 *
! 	 * @since 2.5.0
  	 * @access private
  	 * @var bool
  	 */
--- 173,179 ----
  	/**
  	 * Whether the database queries are ready to start executing.
  	 *
! 	 * @since 2.3.2
  	 * @access private
  	 * @var bool
  	 */
***************
*** 445,454 ****
  	 * Database Username
  	 *
  	 * @since 2.9.0
! 	 * @access private
  	 * @var string
  	 */
! 	var $dbuser;
  
  	/**
  	 * A textual description of the last query/get_row/get_var call
--- 454,499 ----
  	 * Database Username
  	 *
  	 * @since 2.9.0
! 	 * @access protected
  	 * @var string
  	 */
! 	protected $dbuser;
! 
! 	/**
! 	 * Database Password
! 	 *
! 	 * @since 3.1.0
! 	 * @access protected
! 	 * @var string
! 	 */
! 	protected $dbpassword;
! 
! 	/**
! 	 * Database Name
! 	 *
! 	 * @since 3.1.0
! 	 * @access protected
! 	 * @var string
! 	 */
! 	protected $dbname;
! 
! 	/**
! 	 * Database Host
! 	 *
! 	 * @since 3.1.0
! 	 * @access protected
! 	 * @var string
! 	 */
! 	protected $dbhost;
! 
! 	/**
! 	 * Database Handle
! 	 *
! 	 * @since 0.71
! 	 * @access protected
! 	 * @var string
! 	 */
! 	protected $dbh;
  
  	/**
  	 * A textual description of the last query/get_row/get_var call
***************
*** 489,495 ****
  	 * @param string $dbhost MySQL database host
  	 */
  	function __construct( $dbuser, $dbpassword, $dbname, $dbhost ) {
! 		register_shutdown_function( array( &$this, '__destruct' ) );
  
  		if ( WP_DEBUG )
  			$this->show_errors();
--- 534,540 ----
  	 * @param string $dbhost MySQL database host
  	 */
  	function __construct( $dbuser, $dbpassword, $dbname, $dbhost ) {
! 		register_shutdown_function( array( $this, '__destruct' ) );
  
  		if ( WP_DEBUG )
  			$this->show_errors();
***************
*** 516,521 ****
--- 561,617 ----
  	}
  
  	/**
+ 	 * PHP5 style magic getter, used to lazy-load expensive data.
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @param string $name The private member to get, and optionally process
+ 	 * @return mixed The private member
+ 	 */
+ 	function __get( $name ) {
+ 		if ( 'col_info' == $name )
+ 			$this->load_col_info();
+ 
+ 		return $this->$name;
+ 	}
+ 
+ 	/**
+ 	 * Magic function, for backwards compatibility
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @param string $name  The private member to set
+ 	 * @param mixed  $value The value to set
+ 	 */
+ 	function __set( $name, $value ) {
+ 		$this->$name = $value;
+ 	}
+ 
+ 	/**
+ 	 * Magic function, for backwards compatibility
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @param string $name  The private member to check
+ 	 *
+ 	 * @return bool If the member is set or not
+ 	 */
+ 	function __isset( $name ) {
+ 		return isset( $this->$name );
+ 	}
+ 
+ 	/**
+ 	 * Magic function, for backwards compatibility
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @param string $name  The private member to unset
+ 	 */
+ 	function __unset( $name ) {
+ 		unset( $this->$name );
+ 	}
+ 
+ 	/**
  	 * Set $this->charset and $this->collate
  	 *
  	 * @since 3.1.0
***************
*** 850,856 ****
  	 * @return void
  	 */
  	function escape_by_ref( &$string ) {
! 		$string = $this->_real_escape( $string );
  	}
  
  	/**
--- 946,953 ----
  	 * @return void
  	 */
  	function escape_by_ref( &$string ) {
! 		if ( ! is_float( $string ) )
! 			$string = $this->_real_escape( $string );
  	}
  
  	/**
***************
*** 890,896 ****
  	 * @return null|false|string Sanitized query string, null if there is no query, false if there is an error and string
  	 * 	if there was something to prepare
  	 */
! 	function prepare( $query = null ) { // ( $query, *$args )
  		if ( is_null( $query ) )
  			return;
  
--- 987,993 ----
  	 * @return null|false|string Sanitized query string, null if there is no query, false if there is an error and string
  	 * 	if there was something to prepare
  	 */
! 	function prepare( $query, $args ) {
  		if ( is_null( $query ) )
  			return;
  
***************
*** 901,908 ****
  			$args = $args[0];
  		$query = str_replace( "'%s'", '%s', $query ); // in case someone mistakenly already singlequoted it
  		$query = str_replace( '"%s"', '%s', $query ); // doublequote unquoting
  		$query = preg_replace( '|(?<!%)%s|', "'%s'", $query ); // quote the strings, avoiding escaped strings like %%s
! 		array_walk( $args, array( &$this, 'escape_by_ref' ) );
  		return @vsprintf( $query, $args );
  	}
  
--- 998,1006 ----
  			$args = $args[0];
  		$query = str_replace( "'%s'", '%s', $query ); // in case someone mistakenly already singlequoted it
  		$query = str_replace( '"%s"', '%s', $query ); // doublequote unquoting
+ 		$query = preg_replace( '|(?<!%)%f|' , '%F', $query ); // Force floats to be locale unaware
  		$query = preg_replace( '|(?<!%)%s|', "'%s'", $query ); // quote the strings, avoiding escaped strings like %%s
! 		array_walk( $args, array( $this, 'escape_by_ref' ) );
  		return @vsprintf( $query, $args );
  	}
  
***************
*** 932,942 ****
  		else
  			$error_str = sprintf( __( 'WordPress database error %1$s for query %2$s' ), $str, $this->last_query );
  
! 		if ( function_exists( 'error_log' )
! 			&& ( $log_file = @ini_get( 'error_log' ) )
! 			&& ( 'syslog' == $log_file || @is_writable( $log_file ) )
! 			)
! 			@error_log( $error_str );
  
  		// Are we showing errors?
  		if ( ! $this->show_errors )
--- 1030,1036 ----
  		else
  			$error_str = sprintf( __( 'WordPress database error %1$s for query %2$s' ), $str, $this->last_query );
  
! 		error_log( $error_str );
  
  		// Are we showing errors?
  		if ( ! $this->show_errors )
***************
*** 1023,1028 ****
--- 1117,1125 ----
  		$this->last_result = array();
  		$this->col_info    = null;
  		$this->last_query  = null;
+ 
+ 		if ( is_resource( $this->result ) )
+ 			mysql_free_result( $this->result );
  	}
  
  	/**
***************
*** 1034,1043 ****
  
  		$this->is_mysql = true;
  
  		if ( WP_DEBUG ) {
! 			$this->dbh = mysql_connect( $this->dbhost, $this->dbuser, $this->dbpassword, true );
  		} else {
! 			$this->dbh = @mysql_connect( $this->dbhost, $this->dbuser, $this->dbpassword, true );
  		}
  
  		if ( !$this->dbh ) {
--- 1131,1143 ----
  
  		$this->is_mysql = true;
  
+ 		$new_link = defined( 'MYSQL_NEW_LINK' ) ? MYSQL_NEW_LINK : true;
+ 		$client_flags = defined( 'MYSQL_CLIENT_FLAGS' ) ? MYSQL_CLIENT_FLAGS : 0;
+ 
  		if ( WP_DEBUG ) {
! 			$this->dbh = mysql_connect( $this->dbhost, $this->dbuser, $this->dbpassword, $new_link, $client_flags );
  		} else {
! 			$this->dbh = @mysql_connect( $this->dbhost, $this->dbuser, $this->dbpassword, $new_link, $client_flags );
  		}
  
  		if ( !$this->dbh ) {
***************
*** 1104,1133 ****
  			return false;
  		}
  
! 		if ( preg_match( '/^\s*(create|alter|truncate|drop) /i', $query ) ) {
  			$return_val = $this->result;
! 		} elseif ( preg_match( '/^\s*(insert|delete|update|replace) /i', $query ) ) {
  			$this->rows_affected = mysql_affected_rows( $this->dbh );
  			// Take note of the insert_id
! 			if ( preg_match( '/^\s*(insert|replace) /i', $query ) ) {
  				$this->insert_id = mysql_insert_id($this->dbh);
  			}
  			// Return number of rows affected
  			$return_val = $this->rows_affected;
  		} else {
- 			$i = 0;
- 			while ( $i < @mysql_num_fields( $this->result ) ) {
- 				$this->col_info[$i] = @mysql_fetch_field( $this->result );
- 				$i++;
- 			}
  			$num_rows = 0;
  			while ( $row = @mysql_fetch_object( $this->result ) ) {
  				$this->last_result[$num_rows] = $row;
  				$num_rows++;
  			}
  
- 			@mysql_free_result( $this->result );
- 
  			// Log number of rows the query returned
  			// and return number of rows selected
  			$this->num_rows = $num_rows;
--- 1204,1226 ----
  			return false;
  		}
  
! 		if ( preg_match( '/^\s*(create|alter|truncate|drop)\s/i', $query ) ) {
  			$return_val = $this->result;
! 		} elseif ( preg_match( '/^\s*(insert|delete|update|replace)\s/i', $query ) ) {
  			$this->rows_affected = mysql_affected_rows( $this->dbh );
  			// Take note of the insert_id
! 			if ( preg_match( '/^\s*(insert|replace)\s/i', $query ) ) {
  				$this->insert_id = mysql_insert_id($this->dbh);
  			}
  			// Return number of rows affected
  			$return_val = $this->rows_affected;
  		} else {
  			$num_rows = 0;
  			while ( $row = @mysql_fetch_object( $this->result ) ) {
  				$this->last_result[$num_rows] = $row;
  				$num_rows++;
  			}
  
  			// Log number of rows the query returned
  			// and return number of rows selected
  			$this->num_rows = $num_rows;
***************
*** 1456,1461 ****
--- 1549,1570 ----
  	}
  
  	/**
+ 	 * Load the column metadata from the last query.
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @access protected
+ 	 */
+ 	protected function load_col_info() {
+ 		if ( $this->col_info )
+ 			return;
+ 
+ 		for ( $i = 0; $i < @mysql_num_fields( $this->result ); $i++ ) {
+ 			$this->col_info[ $i ] = @mysql_fetch_field( $this->result, $i );
+ 		}
+ 	}
+ 
+ 	/**
  	 * Retrieve column metadata from the last query.
  	 *
  	 * @since 0.71
***************
*** 1465,1470 ****
--- 1574,1581 ----
  	 * @return mixed Column Results
  	 */
  	function get_col_info( $info_type = 'name', $col_offset = -1 ) {
+ 		$this->load_col_info();
+ 
  		if ( $this->col_info ) {
  			if ( $col_offset == -1 ) {
  				$i = 0;
***************
*** 1506,1512 ****
  	/**
  	 * Wraps errors in a nice header and footer and dies.
  	 *
! 	 * Will not die if wpdb::$show_errors is true
  	 *
  	 * @since 1.5.0
  	 *
--- 1617,1623 ----
  	/**
  	 * Wraps errors in a nice header and footer and dies.
  	 *
! 	 * Will not die if wpdb::$show_errors is false.
  	 *
  	 * @since 1.5.0
  	 *
***************
*** 1547,1560 ****
--- 1658,1692 ----
  	 * Called when WordPress is generating the table scheme.
  	 *
  	 * @since 2.5.0
+ 	 * @deprecated 3.5.0
+ 	 * @deprecated Use wpdb::has_cap( 'collation' )
  	 *
  	 * @return bool True if collation is supported, false if version does not
  	 */
  	function supports_collation() {
+ 		_deprecated_function( __FUNCTION__, '3.5', 'wpdb::has_cap( \'collation\' )' );
  		return $this->has_cap( 'collation' );
  	}
  
  	/**
+ 	 * The database character collate.
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @return string The database character collate.
+ 	 */
+ 	public function get_charset_collate() {
+ 		$charset_collate = '';
+ 
+ 		if ( ! empty( $this->charset ) )
+ 			$charset_collate = "DEFAULT CHARACTER SET $this->charset";
+ 		if ( ! empty( $this->collate ) )
+ 			$charset_collate .= " COLLATE $this->collate";
+ 
+ 		return $charset_collate;
+ 	}
+ 
+ 	/**
  	 * Determine if a database supports a particular feature
  	 *
  	 * @since 2.7.0
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/wp-diff.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/wp-diff.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/wp-diff.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/wp-diff.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 422,428 ****
  		$chars2 = count_chars($string2);
  
  		// L1-norm of difference vector.
! 		$difference = array_sum( array_map( array(&$this, 'difference'), $chars1, $chars2 ) );
  
  		// $string1 has zero length? Odd. Give huge penalty by not dividing.
  		if ( !$string1 )
--- 422,428 ----
  		$chars2 = count_chars($string2);
  
  		// L1-norm of difference vector.
! 		$difference = array_sum( array_map( array($this, 'difference'), $chars1, $chars2 ) );
  
  		// $string1 has zero length? Odd. Give huge penalty by not dividing.
  		if ( !$string1 )
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-load.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-load.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-load.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-load.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 57,63 ****
  	$die  = __( "There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started." ) . '</p>';
  	$die .= '<p>' . __( "Need more help? <a href='http://codex.wordpress.org/Editing_wp-config.php'>We got it</a>." ) . '</p>';
  	$die .= '<p>' . __( "You can create a <code>wp-config.php</code> file through a web interface, but this doesn't work for all server setups. The safest way is to manually create the file." ) . '</p>';
! 	$die .= '<p><a href="' . $path . '" class="button">' . __( "Create a Configuration File" ) . '</a>';
  
  	wp_die( $die, __( 'WordPress &rsaquo; Error' ) );
  }
--- 57,63 ----
  	$die  = __( "There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started." ) . '</p>';
  	$die .= '<p>' . __( "Need more help? <a href='http://codex.wordpress.org/Editing_wp-config.php'>We got it</a>." ) . '</p>';
  	$die .= '<p>' . __( "You can create a <code>wp-config.php</code> file through a web interface, but this doesn't work for all server setups. The safest way is to manually create the file." ) . '</p>';
! 	$die .= '<p><a href="' . $path . '" class="button button-large">' . __( "Create a Configuration File" ) . '</a>';
  
  	wp_die( $die, __( 'WordPress &rsaquo; Error' ) );
  }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-login.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-login.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-login.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-login.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 12,23 ****
  require( dirname(__FILE__) . '/wp-load.php' );
  
  // Redirect to https login if forced to use SSL
! if ( force_ssl_admin() && !is_ssl() ) {
  	if ( 0 === strpos($_SERVER['REQUEST_URI'], 'http') ) {
! 		wp_redirect(preg_replace('|^http://|', 'https://', $_SERVER['REQUEST_URI']));
  		exit();
  	} else {
! 		wp_redirect('https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
  		exit();
  	}
  }
--- 12,23 ----
  require( dirname(__FILE__) . '/wp-load.php' );
  
  // Redirect to https login if forced to use SSL
! if ( force_ssl_admin() && ! is_ssl() ) {
  	if ( 0 === strpos($_SERVER['REQUEST_URI'], 'http') ) {
! 		wp_redirect( set_url_scheme( $_SERVER['REQUEST_URI'], 'https' ) );
  		exit();
  	} else {
! 		wp_redirect( 'https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
  		exit();
  	}
  }
***************
*** 39,45 ****
   * @param WP_Error $wp_error Optional. WordPress Error Object
   */
  function login_header($title = 'Log In', $message = '', $wp_error = '') {
! 	global $error, $interim_login, $current_site;
  
  	// Don't index any of these forms
  	add_action( 'login_head', 'wp_no_robots' );
--- 39,45 ----
   * @param WP_Error $wp_error Optional. WordPress Error Object
   */
  function login_header($title = 'Log In', $message = '', $wp_error = '') {
! 	global $error, $interim_login, $current_site, $action;
  
  	// Don't index any of these forms
  	add_action( 'login_head', 'wp_no_robots' );
***************
*** 86,94 ****
  	if ( $interim_login )
  		$login_header_url = '#';
  
  	?>
  	</head>
! 	<body class="login<?php if ( wp_is_mobile() ) echo ' mobile'; ?>">
  	<div id="login">
  		<h1><a href="<?php echo esc_url( $login_header_url ); ?>" title="<?php echo esc_attr( $login_header_title ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
  	<?php
--- 86,100 ----
  	if ( $interim_login )
  		$login_header_url = '#';
  
+ 	$classes = array( 'login-action-' . $action, 'wp-core-ui' );
+ 	if ( wp_is_mobile() )
+ 		$classes[] = 'mobile';
+ 	if ( is_rtl() )
+ 		$classes[] = 'rtl';
+ 	$classes = apply_filters( 'login_body_class', $classes, $action );
  	?>
  	</head>
! 	<body class="login <?php echo esc_attr( implode( ' ', $classes ) ); ?>">
  	<div id="login">
  		<h1><a href="<?php echo esc_url( $login_header_url ); ?>" title="<?php echo esc_attr( $login_header_title ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
  	<?php
***************
*** 309,315 ****
  		$errors->add( 'invalid_username', __( '<strong>ERROR</strong>: This username is invalid because it uses illegal characters. Please enter a valid username.' ) );
  		$sanitized_user_login = '';
  	} elseif ( username_exists( $sanitized_user_login ) ) {
! 		$errors->add( 'username_exists', __( '<strong>ERROR</strong>: This username is already registered, please choose another one.' ) );
  	}
  
  	// Check the e-mail address
--- 315,321 ----
  		$errors->add( 'invalid_username', __( '<strong>ERROR</strong>: This username is invalid because it uses illegal characters. Please enter a valid username.' ) );
  		$sanitized_user_login = '';
  	} elseif ( username_exists( $sanitized_user_login ) ) {
! 		$errors->add( 'username_exists', __( '<strong>ERROR</strong>: This username is already registered. Please choose another one.' ) );
  	}
  
  	// Check the e-mail address
***************
*** 361,373 ****
  
  header('Content-Type: '.get_bloginfo('html_type').'; charset='.get_bloginfo('charset'));
  
! if ( defined('RELOCATE') ) { // Move flag is set
  	if ( isset( $_SERVER['PATH_INFO'] ) && ($_SERVER['PATH_INFO'] != $_SERVER['PHP_SELF']) )
  		$_SERVER['PHP_SELF'] = str_replace( $_SERVER['PATH_INFO'], '', $_SERVER['PHP_SELF'] );
  
! 	$schema = is_ssl() ? 'https://' : 'http://';
! 	if ( dirname($schema . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']) != get_option('siteurl') )
! 		update_option('siteurl', dirname($schema . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']) );
  }
  
  //Set a cookie now to see if they are supported by the browser.
--- 367,379 ----
  
  header('Content-Type: '.get_bloginfo('html_type').'; charset='.get_bloginfo('charset'));
  
! if ( defined( 'RELOCATE' ) && RELOCATE ) { // Move flag is set
  	if ( isset( $_SERVER['PATH_INFO'] ) && ($_SERVER['PATH_INFO'] != $_SERVER['PHP_SELF']) )
  		$_SERVER['PHP_SELF'] = str_replace( $_SERVER['PATH_INFO'], '', $_SERVER['PHP_SELF'] );
  
! 	$url = dirname( set_url_scheme( 'http://' .  $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] ) );
! 	if ( $url != get_option( 'siteurl' ) )
! 		update_option( 'siteurl', $url );
  }
  
  //Set a cookie now to see if they are supported by the browser.
***************
*** 390,396 ****
  	}
  
  	// 10 days
! 	setcookie( 'wp-postpass_' . COOKIEHASH, $wp_hasher->HashPassword( stripslashes( $_POST['post_password'] ) ), time() + 864000, COOKIEPATH );
  
  	wp_safe_redirect( wp_get_referer() );
  	exit();
--- 396,402 ----
  	}
  
  	// 10 days
! 	setcookie( 'wp-postpass_' . COOKIEHASH, $wp_hasher->HashPassword( stripslashes( $_POST['post_password'] ) ), time() + 10 * DAY_IN_SECONDS, COOKIEPATH );
  
  	wp_safe_redirect( wp_get_referer() );
  	exit();
***************
*** 432,442 ****
  <form name="lostpasswordform" id="lostpasswordform" action="<?php echo esc_url( site_url( 'wp-login.php?action=lostpassword', 'login_post' ) ); ?>" method="post">
  	<p>
  		<label for="user_login" ><?php _e('Username or E-mail:') ?><br />
! 		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" tabindex="10" /></label>
  	</p>
  <?php do_action('lostpassword_form'); ?>
  	<input type="hidden" name="redirect_to" value="<?php echo esc_attr( $redirect_to ); ?>" />
! 	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="<?php esc_attr_e('Get New Password'); ?>" tabindex="100" /></p>
  </form>
  
  <p id="nav">
--- 438,448 ----
  <form name="lostpasswordform" id="lostpasswordform" action="<?php echo esc_url( site_url( 'wp-login.php?action=lostpassword', 'login_post' ) ); ?>" method="post">
  	<p>
  		<label for="user_login" ><?php _e('Username or E-mail:') ?><br />
! 		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" /></label>
  	</p>
  <?php do_action('lostpassword_form'); ?>
  	<input type="hidden" name="redirect_to" value="<?php echo esc_attr( $redirect_to ); ?>" />
! 	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button button-primary button-large" value="<?php esc_attr_e('Get New Password'); ?>" /></p>
  </form>
  
  <p id="nav">
***************
*** 459,469 ****
  		exit;
  	}
  
! 	$errors = '';
  
! 	if ( isset($_POST['pass1']) && $_POST['pass1'] != $_POST['pass2'] ) {
! 		$errors = new WP_Error('password_reset_mismatch', __('The passwords do not match.'));
! 	} elseif ( isset($_POST['pass1']) && !empty($_POST['pass1']) ) {
  		reset_password($user, $_POST['pass1']);
  		login_header( __( 'Password Reset' ), '<p class="message reset-pass">' . __( 'Your password has been reset.' ) . ' <a href="' . esc_url( wp_login_url() ) . '">' . __( 'Log in' ) . '</a></p>' );
  		login_footer();
--- 465,478 ----
  		exit;
  	}
  
! 	$errors = new WP_Error();
! 
! 	if ( isset($_POST['pass1']) && $_POST['pass1'] != $_POST['pass2'] )
! 		$errors->add( 'password_reset_mismatch', __( 'The passwords do not match.' ) );
! 
! 	do_action( 'validate_password_reset', $errors, $user );
  
! 	if ( ( ! $errors->get_error_code() ) && isset( $_POST['pass1'] ) && !empty( $_POST['pass1'] ) ) {
  		reset_password($user, $_POST['pass1']);
  		login_header( __( 'Password Reset' ), '<p class="message reset-pass">' . __( 'Your password has been reset.' ) . ' <a href="' . esc_url( wp_login_url() ) . '">' . __( 'Log in' ) . '</a></p>' );
  		login_footer();
***************
*** 492,498 ****
  	<p class="description indicator-hint"><?php _e('Hint: The password should be at least seven characters long. To make it stronger, use upper and lower case letters, numbers and symbols like ! " ? $ % ^ &amp; ).'); ?></p>
  
  	<br class="clear" />
! 	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="<?php esc_attr_e('Reset Password'); ?>" tabindex="100" /></p>
  </form>
  
  <p id="nav">
--- 501,507 ----
  	<p class="description indicator-hint"><?php _e('Hint: The password should be at least seven characters long. To make it stronger, use upper and lower case letters, numbers and symbols like ! " ? $ % ^ &amp; ).'); ?></p>
  
  	<br class="clear" />
! 	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button button-primary button-large" value="<?php esc_attr_e('Reset Password'); ?>" /></p>
  </form>
  
  <p id="nav">
***************
*** 509,515 ****
  case 'register' :
  	if ( is_multisite() ) {
  		// Multisite uses wp-signup.php
! 		wp_redirect( apply_filters( 'wp_signup_location', site_url('wp-signup.php') ) );
  		exit;
  	}
  
--- 518,524 ----
  case 'register' :
  	if ( is_multisite() ) {
  		// Multisite uses wp-signup.php
! 		wp_redirect( apply_filters( 'wp_signup_location', network_site_url('wp-signup.php') ) );
  		exit;
  	}
  
***************
*** 538,554 ****
  <form name="registerform" id="registerform" action="<?php echo esc_url( site_url('wp-login.php?action=register', 'login_post') ); ?>" method="post">
  	<p>
  		<label for="user_login"><?php _e('Username') ?><br />
! 		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" tabindex="10" /></label>
  	</p>
  	<p>
  		<label for="user_email"><?php _e('E-mail') ?><br />
! 		<input type="email" name="user_email" id="user_email" class="input" value="<?php echo esc_attr(stripslashes($user_email)); ?>" size="25" tabindex="20" /></label>
  	</p>
  <?php do_action('register_form'); ?>
  	<p id="reg_passmail"><?php _e('A password will be e-mailed to you.') ?></p>
  	<br class="clear" />
  	<input type="hidden" name="redirect_to" value="<?php echo esc_attr( $redirect_to ); ?>" />
! 	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="<?php esc_attr_e('Register'); ?>" tabindex="100" /></p>
  </form>
  
  <p id="nav">
--- 547,563 ----
  <form name="registerform" id="registerform" action="<?php echo esc_url( site_url('wp-login.php?action=register', 'login_post') ); ?>" method="post">
  	<p>
  		<label for="user_login"><?php _e('Username') ?><br />
! 		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" /></label>
  	</p>
  	<p>
  		<label for="user_email"><?php _e('E-mail') ?><br />
! 		<input type="text" name="user_email" id="user_email" class="input" value="<?php echo esc_attr(stripslashes($user_email)); ?>" size="25" /></label>
  	</p>
  <?php do_action('register_form'); ?>
  	<p id="reg_passmail"><?php _e('A password will be e-mailed to you.') ?></p>
  	<br class="clear" />
  	<input type="hidden" name="redirect_to" value="<?php echo esc_attr( $redirect_to ); ?>" />
! 	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button button-primary button-large" value="<?php esc_attr_e('Register'); ?>" /></p>
  </form>
  
  <p id="nav">
***************
*** 671,686 ****
  <form name="loginform" id="loginform" action="<?php echo esc_url( site_url( 'wp-login.php', 'login_post' ) ); ?>" method="post">
  	<p>
  		<label for="user_login"><?php _e('Username') ?><br />
! 		<input type="text" name="log" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" tabindex="10" /></label>
  	</p>
  	<p>
  		<label for="user_pass"><?php _e('Password') ?><br />
! 		<input type="password" name="pwd" id="user_pass" class="input" value="" size="20" tabindex="20" /></label>
  	</p>
  <?php do_action('login_form'); ?>
! 	<p class="forgetmenot"><label for="rememberme"><input name="rememberme" type="checkbox" id="rememberme" value="forever" tabindex="90"<?php checked( $rememberme ); ?> /> <?php esc_attr_e('Remember Me'); ?></label></p>
  	<p class="submit">
! 		<input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="<?php esc_attr_e('Log In'); ?>" tabindex="100" />
  <?php	if ( $interim_login ) { ?>
  		<input type="hidden" name="interim-login" value="1" />
  <?php	} else { ?>
--- 680,695 ----
  <form name="loginform" id="loginform" action="<?php echo esc_url( site_url( 'wp-login.php', 'login_post' ) ); ?>" method="post">
  	<p>
  		<label for="user_login"><?php _e('Username') ?><br />
! 		<input type="text" name="log" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" /></label>
  	</p>
  	<p>
  		<label for="user_pass"><?php _e('Password') ?><br />
! 		<input type="password" name="pwd" id="user_pass" class="input" value="" size="20" /></label>
  	</p>
  <?php do_action('login_form'); ?>
! 	<p class="forgetmenot"><label for="rememberme"><input name="rememberme" type="checkbox" id="rememberme" value="forever" <?php checked( $rememberme ); ?> /> <?php esc_attr_e('Remember Me'); ?></label></p>
  	<p class="submit">
! 		<input type="submit" name="wp-submit" id="wp-submit" class="button button-primary button-large" value="<?php esc_attr_e('Log In'); ?>" />
  <?php	if ( $interim_login ) { ?>
  		<input type="hidden" name="interim-login" value="1" />
  <?php	} else { ?>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-mail.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-mail.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-mail.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-mail.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 30,36 ****
  
  set_transient('mailserver_last_checked', true, WP_MAIL_INTERVAL);
  
! $time_difference = get_option('gmt_offset') * 3600;
  
  $phone_delim = '::';
  
--- 30,36 ----
  
  set_transient('mailserver_last_checked', true, WP_MAIL_INTERVAL);
  
! $time_difference = get_option('gmt_offset') * HOUR_IN_SECONDS;
  
  $phone_delim = '::';
  
